/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

using Gtk;

namespace Yggtk {

    public class Application : Gtk.Application {

        public Application () {
            Object (
                application_id: "org.yggtk.yggtk",
                flags: ApplicationFlags.FLAGS_NONE
            );
        }

        protected override void activate () {
            AppWindow window = new AppWindow ();
            add_window (window);
            window.show ();
        }

        public static int main (string[] args) {
            Application app = new Application ();
            return app.run (args);
        }

    }

}